package com.acme.ejbremote.services;

import javax.ejb.EJB;
import javax.ejb.Remote;
import javax.ejb.Stateless;

import org.apache.log4j.Logger;

import com.acme.ejbremote_core.services.HelloService;

@Stateless
@Remote(AlohaService.class)
public class AlohaServiceBean implements AlohaService {

	private static final Logger logger = Logger.getLogger(AlohaServiceBean.class.getName());
	
	@EJB
	HelloService hs;

	public String getHelloWorld() {
		String string = "Hello World from Client";
		
		String string2 = hs.getHelloWorld();
		
		logger.info(string + "msg from core=" + string2);
		return string;
	}

}
