package com.acme.ejbremote_core.services;

import javax.ejb.Remote;
import javax.ejb.Stateless;

import org.apache.log4j.Logger;

@Stateless
@Remote(HelloService.class)
public class HelloServiceBean implements HelloService {

	private static final Logger logger = Logger.getLogger(HelloServiceBean.class.getName());

	public String getHelloWorld() {
		String string = "Hello World from Core";
		logger.info(string);
		return string;
	}

}
